#ifndef MISSILE_HH
#define MISSILE_HH

#include <time.h>
#include "vector_object.hh"

extern double current_time;

class Missile : public Vector_Object {
public:
  void draw();
  bool is_alive();
  Missile(double x,double y,double dx, double dy): Vector_Object(x,y,dx,dy){
    start_time = current_time;
  };
  double sqr_size(){ return 4; };
private:
  double start_time;
};

#endif //MISSILE_HH
