#ifndef SHIP_HH
#define SHIP_HH
#include "vector_object.hh"

class game_state;

class Ship: public Vector_Object {
public:
  inline void turn_right(){ 
    angle += .05;
    //set_angle_magnitude(get_angle()+.05,get_magnitude());
  };
  inline void turn_left(){
    angle += -.05;
    //set_angle_magnitude(get_angle()-.05,get_magnitude());    
  };
  void draw();
  void shoot();
  bool is_alive(){ return true;};
  inline void increase_speed(){
    accelerate(cos(angle),sin(angle));
    //set_angle_magnitude(get_angle(),get_magnitude()+1);    
  };
  inline void decrease_speed(){
    accelerate(-cos(angle),-sin(angle));
    //set_angle_magnitude(get_angle(),get_magnitude()-1);    
  };
  Ship(double x,double y,double dx, double dy,int color,game_state * g): 
    Vector_Object(x,y,dx,dy),color(color),g(g){};
  double sqr_size(){ return 1.0; };
private: 
  int color;
  double angle;
  game_state * g;
};
  
#endif SHIP_HH
