#include <FL/Fl.H>
#include <stdio.h>
#include "event_handler.hh"

double time_interval = 0.0333;

double current_time = 0;

void
event_handler::run(){
  double time;
  while(Fl::check()){
    time = Fl::wait(time_interval);
    current_time += time_interval;
    //printf("time:%f\n",time);
    drawing_ptr->redraw();
    game_state_ptr->update();
    //int k = Fl::event_key();
    //int s = Fl::event_state();
    if(Fl::event_key(FL_Left)){
      game_state_ptr->get_left_ship()->turn_left();
    }
    if(Fl::event_key(FL_Right)){
      game_state_ptr->get_left_ship()->turn_right();
    }
    if(Fl::event_key(FL_Up)){
      game_state_ptr->get_left_ship()->increase_speed();
    }
    if(Fl::event_key(FL_Down)){
      game_state_ptr->get_left_ship()->decrease_speed();
    }
    if(Fl::event_key(FL_Enter)){
      game_state_ptr->get_left_ship()->shoot();
    }

    if(Fl::event_key('a')){
      game_state_ptr->get_right_ship()->turn_left();
    }
    if(Fl::event_key('e')){
      game_state_ptr->get_right_ship()->turn_right();
    }
    if(Fl::event_key(',')){
      game_state_ptr->get_right_ship()->increase_speed();
    }
    if(Fl::event_key('o')){
      game_state_ptr->get_right_ship()->decrease_speed();
    }
    if(Fl::event_key(' ')){
      game_state_ptr->get_right_ship()->shoot();
    }
  }
}
