#include <FL/fl_draw.H>
#include "missile.hh"

void
Missile::draw(){
  double angle = get_angle();
  double sx = get_x(),sy = get_y();
  double ex = sx - cos(angle)*2,ey = sy - sin(angle)*2;
  fl_color(FL_RED);
  fl_line((int)sx,(int)sy,
	  (int)ex,(int)ey);
}

bool 
Missile::is_alive(){
  if((current_time - 10.0) > start_time)
    return false;
  return true;
}
