#include <FL/fl_draw.H>
#include <math.h>
#include "ship.hh"
#include "missile.hh"
#include "game_state.hh"

void 
Ship::draw(){
  //double angle = get_angle();
  double sx = get_x(),sy = get_y();
  //double ex = sx - cos(angle)*10,ey = sy - sin(angle)*10;
  fl_color(color);
  fl_line((int)sx,(int)sy,
	  (int)(sx-cos(angle+.25)*10),(int)(sy-sin(angle+.25)*10));
  fl_line((int)sx,(int)sy,
	  (int)(sx-cos(angle-.25)*10),(int)(sy-sin(angle-.25)*10));
}

void
Ship::shoot(){
  Missile * missile;
  missile = new Missile(get_x()+cos(angle)*4,get_y()+sin(angle)*4
			,get_dx(),get_dy());
  missile->accelerate(cos(angle)*50,sin(angle)*50);
  g->add_missile(missile);
}
