#ifndef SUN_HH
#define SUN_HH
#include "gravity_object.hh"

class Sun: public Gravity_Object{
public:
  void draw();
  bool is_alive(){ return true;};
  double sqr_size(){ return (double)size*size;};
  Sun(double x,double y,double dx, double dy,double mass,int size): 
    Gravity_Object(x,y,dx,dy,mass), size(size){ }
private:
  int size;
};

#endif // SUN_HH
